VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::downloadsession::File Interface Reference

The `File` interface provides methods for accessing files within a download session. More...

Inherited by vmware::content::library::item::downloadsession::FileStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.content.library.item.downloadsession.FileTypes.Info > | List (string downloadSessionId)
| Lists the information of all the files in the library item associated with the download session.
global::System.Collections.Generic.List < vmware.content.library.item.downloadsession.FileTypes.Info > | List (string downloadSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists the information of all the files in the library item associated with the download session.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.library.item.downloadsession.FileTypes.Info > > | ListAsync (string downloadSessionId)
| Lists the information of all the files in the library item associated with the download session.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.library.item.downloadsession.FileTypes.Info > > | ListAsync (string downloadSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists the information of all the files in the library item associated with the download session.
vmware.content.library.item.downloadsession.FileTypes.Info | Prepare (string downloadSessionId, string fileName, vmware.content.library.item.downloadsession.FileTypes.EndpointType endpointType)
| Requests a file to be prepared for download.
vmware.content.library.item.downloadsession.FileTypes.Info | Prepare (string downloadSessionId, string fileName, vmware.content.library.item.downloadsession.FileTypes.EndpointType endpointType, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Requests a file to be prepared for download.
global::System.Threading.Tasks.Task < vmware.content.library.item.downloadsession.FileTypes.Info > | PrepareAsync (string downloadSessionId, string fileName, vmware.content.library.item.downloadsession.FileTypes.EndpointType endpointType)
| Requests a file to be prepared for download.
global::System.Threading.Tasks.Task < vmware.content.library.item.downloadsession.FileTypes.Info > | PrepareAsync (string downloadSessionId, string fileName, vmware.content.library.item.downloadsession.FileTypes.EndpointType endpointType, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Requests a file to be prepared for download.
vmware.content.library.item.downloadsession.FileTypes.Info | Get (string downloadSessionId, string fileName)
| Retrieves file download information for a specific file.
vmware.content.library.item.downloadsession.FileTypes.Info | Get (string downloadSessionId, string fileName, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves file download information for a specific file.
global::System.Threading.Tasks.Task < vmware.content.library.item.downloadsession.FileTypes.Info > | GetAsync (string downloadSessionId, string fileName)
| Retrieves file download information for a specific file.
global::System.Threading.Tasks.Task < vmware.content.library.item.downloadsession.FileTypes.Info > | GetAsync (string downloadSessionId, string fileName, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves file download information for a specific file.

## Detailed Description

The `File` interface provides methods for accessing files within a download session.

After a download session is created against a library item, the `File` interface can be used to retrieve all downloadable content within the library item. Since the content may not be available immediately in a downloadable form on the server side, the client will have to prepare the file and wait for the file status to become File.PrepareStatus.PREPARED .

See vmware.content.library.item.DownloadSession .

## Member Function Documentation

vmware.content.library.item.downloadsession.FileTypes.Info vmware::content::library::item::downloadsession::File::Get | ( | string | downloadSessionId,
|  | string | fileName
| ) |  |

Retrieves file download information for a specific file.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session associated with downloadSessionId does not exist.
  vmware.vapi.std.errors.InvalidArgument | if there is no file with the specified fileName .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  downloadSessionId | Identifier of the download session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  fileName | Name of the file requested.

Returns:
  The File.Info instance containing the status of the file and its download link if available.

Implemented in vmware::content::library::item::downloadsession::FileStub.

vmware.content.library.item.downloadsession.FileTypes.Info vmware::content::library::item::downloadsession::File::Get | ( | string | downloadSessionId,
|  | string | fileName,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves file download information for a specific file.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session associated with downloadSessionId does not exist.
  vmware.vapi.std.errors.InvalidArgument | if there is no file with the specified fileName .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  downloadSessionId | Identifier of the download session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  fileName | Name of the file requested.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The File.Info instance containing the status of the file and its download link if available.

Implemented in vmware::content::library::item::downloadsession::FileStub.

global::System.Threading.Tasks.Task<vmware.content.library.item.downloadsession.FileTypes.Info> vmware::content::library::item::downloadsession::File::GetAsync | ( | string | downloadSessionId,
|  | string | fileName
| ) |  |

Retrieves file download information for a specific file.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session associated with downloadSessionId does not exist.
  vmware.vapi.std.errors.InvalidArgument | if there is no file with the specified fileName .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  downloadSessionId | Identifier of the download session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  fileName | Name of the file requested.

Returns:
  The File.Info instance containing the status of the file and its download link if available.

Implemented in vmware::content::library::item::downloadsession::FileStub.

global::System.Threading.Tasks.Task<vmware.content.library.item.downloadsession.FileTypes.Info> vmware::content::library::item::downloadsession::File::GetAsync | ( | string | downloadSessionId,
|  | string | fileName,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves file download information for a specific file.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session associated with downloadSessionId does not exist.
  vmware.vapi.std.errors.InvalidArgument | if there is no file with the specified fileName .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  downloadSessionId | Identifier of the download session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  fileName | Name of the file requested.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The File.Info instance containing the status of the file and its download link if available.

Implemented in vmware::content::library::item::downloadsession::FileStub.

global::System.Collections.Generic.List<vmware.content.library.item.downloadsession.FileTypes.Info> vmware::content::library::item::downloadsession::File::List | ( | string | downloadSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Lists the information of all the files in the library item associated with the download session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session associated with downloadSessionId doesn't exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  downloadSessionId | Identifier of the download session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of File.Info instances.

Implemented in vmware::content::library::item::downloadsession::FileStub.

global::System.Collections.Generic.List<vmware.content.library.item.downloadsession.FileTypes.Info> vmware::content::library::item::downloadsession::File::List | ( | string | downloadSessionId | ) |

Lists the information of all the files in the library item associated with the download session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session associated with downloadSessionId doesn't exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  downloadSessionId | Identifier of the download session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

Returns:
  The list of File.Info instances.

Implemented in vmware::content::library::item::downloadsession::FileStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.library.item.downloadsession.FileTypes.Info> > vmware::content::library::item::downloadsession::File::ListAsync | ( | string | downloadSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Lists the information of all the files in the library item associated with the download session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session associated with downloadSessionId doesn't exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  downloadSessionId | Identifier of the download session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of File.Info instances.

Implemented in vmware::content::library::item::downloadsession::FileStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.library.item.downloadsession.FileTypes.Info> > vmware::content::library::item::downloadsession::File::ListAsync | ( | string | downloadSessionId | ) |

Lists the information of all the files in the library item associated with the download session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session associated with downloadSessionId doesn't exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  downloadSessionId | Identifier of the download session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

Returns:
  The list of File.Info instances.

Implemented in vmware::content::library::item::downloadsession::FileStub.

vmware.content.library.item.downloadsession.FileTypes.Info vmware::content::library::item::downloadsession::File::Prepare | ( | string | downloadSessionId,
|  | string | fileName,
|  | vmware.content.library.item.downloadsession.FileTypes.EndpointType | endpointType,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Requests a file to be prepared for download.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session does not exist.
  vmware.vapi.std.errors.InvalidArgument | if there is no file with the specified fileName .
  vmware.vapi.std.errors.Unauthorized | if the the download session wasn't created with the ContentLibrary.ReadStorage privilege and the caller requested a File.EndpointType.DIRECT endpoint type.

Parameters:

  downloadSessionId | Identifier of the download session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  fileName | Name of the file requested for download.
  endpointType | Endpoint type request, one of HTTPS, DIRECT. This will determine the type of the File.Info.downloadEndpoint that is generated when the file is prepared. The File.EndpointType.DIRECT is only available to users who have the ContentLibrary.ReadStorage privilege. If not specified the default is File.EndpointType.HTTPS .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  File information containing the status of the request and the download link to the file.

Implemented in vmware::content::library::item::downloadsession::FileStub.

vmware.content.library.item.downloadsession.FileTypes.Info vmware::content::library::item::downloadsession::File::Prepare | ( | string | downloadSessionId,
|  | string | fileName,
|  | vmware.content.library.item.downloadsession.FileTypes.EndpointType | endpointType
| ) |  |

Requests a file to be prepared for download.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session does not exist.
  vmware.vapi.std.errors.InvalidArgument | if there is no file with the specified fileName .
  vmware.vapi.std.errors.Unauthorized | if the the download session wasn't created with the ContentLibrary.ReadStorage privilege and the caller requested a File.EndpointType.DIRECT endpoint type.

Parameters:

  downloadSessionId | Identifier of the download session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  fileName | Name of the file requested for download.
  endpointType | Endpoint type request, one of HTTPS, DIRECT. This will determine the type of the File.Info.downloadEndpoint that is generated when the file is prepared. The File.EndpointType.DIRECT is only available to users who have the ContentLibrary.ReadStorage privilege. If not specified the default is File.EndpointType.HTTPS .

Returns:
  File information containing the status of the request and the download link to the file.

Implemented in vmware::content::library::item::downloadsession::FileStub.

global::System.Threading.Tasks.Task<vmware.content.library.item.downloadsession.FileTypes.Info> vmware::content::library::item::downloadsession::File::PrepareAsync | ( | string | downloadSessionId,
|  | string | fileName,
|  | vmware.content.library.item.downloadsession.FileTypes.EndpointType | endpointType,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Requests a file to be prepared for download.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session does not exist.
  vmware.vapi.std.errors.InvalidArgument | if there is no file with the specified fileName .
  vmware.vapi.std.errors.Unauthorized | if the the download session wasn't created with the ContentLibrary.ReadStorage privilege and the caller requested a File.EndpointType.DIRECT endpoint type.

Parameters:

  downloadSessionId | Identifier of the download session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  fileName | Name of the file requested for download.
  endpointType | Endpoint type request, one of HTTPS, DIRECT. This will determine the type of the File.Info.downloadEndpoint that is generated when the file is prepared. The File.EndpointType.DIRECT is only available to users who have the ContentLibrary.ReadStorage privilege. If not specified the default is File.EndpointType.HTTPS .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  File information containing the status of the request and the download link to the file.

Implemented in vmware::content::library::item::downloadsession::FileStub.

global::System.Threading.Tasks.Task<vmware.content.library.item.downloadsession.FileTypes.Info> vmware::content::library::item::downloadsession::File::PrepareAsync | ( | string | downloadSessionId,
|  | string | fileName,
|  | vmware.content.library.item.downloadsession.FileTypes.EndpointType | endpointType
| ) |  |

Requests a file to be prepared for download.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session does not exist.
  vmware.vapi.std.errors.InvalidArgument | if there is no file with the specified fileName .
  vmware.vapi.std.errors.Unauthorized | if the the download session wasn't created with the ContentLibrary.ReadStorage privilege and the caller requested a File.EndpointType.DIRECT endpoint type.

Parameters:

  downloadSessionId | Identifier of the download session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  fileName | Name of the file requested for download.
  endpointType | Endpoint type request, one of HTTPS, DIRECT. This will determine the type of the File.Info.downloadEndpoint that is generated when the file is prepared. The File.EndpointType.DIRECT is only available to users who have the ContentLibrary.ReadStorage privilege. If not specified the default is File.EndpointType.HTTPS .

Returns:
  File information containing the status of the request and the download link to the file.

Implemented in vmware::content::library::item::downloadsession::FileStub.

The documentation for this interface was generated from the following file:

- downloadsession/File.cs